=== libs/spandsp/debian/control ===
Source: spandsp
Section: libs
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Jose Carlos Garcia Sogo <jsogo@debian.org>, Kilian Krause <kilian@debian.org>, Santiago Garcia Mantinan <manty@debian.org>, Mark Purcell <msp@debian.org>, Tzafrir Cohen <tzafrir.cohen@xorcom.com>, Santiago Ruano Rincón <santiago@debian.org>
Build-Depends: debhelper (>= 4.0.0), libtiff4-dev, libjpeg62-dev, dpatch, doxygen, autotools-dev, xsltproc
Standards-Version: 3.7.2
XS-Vcs-Svn: svn://svn.debian.org/pkg-voip/
XS-Vcs-Browser: http://svn.debian.org/wsvn/pkg-voip/

Package: libspandsp6
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: libspandsp0, libspandsp1, libspandsp2
Description: Telephony signal processing library
 This is a low-level signal processing library that modulate and demodulate
 signals commonly used in telephony, such as the "noise" generated by a
 fax modem or DTMF touchpad.
 .
 This package contains the shared library.

Package: libspandsp-dev
Section: libdevel
Architecture: any
Depends: libspandsp6 (= ${Source-Version}), libtiff4-dev, libjpeg62-dev
Description: Telephony signal processing library
 This is a low-level signal processing library that modulate and demodulate
 signals commonly used in telephony, such as the "noise" generated by a
 fax modem or DTMF touchpad.
 .
 This package contains the static library and development headers.
 .
 Homepage: http://www.soft-switch.org/

Package: libspandsp-doc
Section: doc
Architecture: all
Description: Documentation for the spandsp signal processing library
 This package contains the online API in HTML for the libspandsp, a low
 level signal processing library that modulate and demodulate siignals
 commonly used in telephony, such as the "noise" generated by a fax
 modem or DTMF touchpad.
